<template>
    <lightning-card
        title="Guarantor"
        icon-name="standard:account"
    >
    <lightning-record-edit-form 
    record-id={recordId} 
    object-api-name="Account">
        <template if:true={firstPass}>
            <lightning-output-field field-name="Guarantor__c" name="guarantorId">
            </lightning-output-field>
        </template>
    </lightning-record-edit-form>

    <div class="slds-var-m-around_medium">
        <lightning-record-edit-form 
        record-id={recordId}
        onsubmit={handleSelect}
        onchange={handleChange}
        object-api-name="Account">
            <template if:true={updateGuar}>
                <lightning-output-field field-name="Guarantor__c" name="guarantorId">
                </lightning-output-field>
            </template>
            <template if:false={updateGuar}>
                <template if:false={creatingGuar}>
                    <lightning-input-field field-name="Guarantor__c" name="guarantorId">
                    </lightning-input-field>
                </template>
            </template>
            <template if:true={altGuarSelected}>
                <lightning-button class="slds-m-top_small"
                type="submit"
                label="Select This Guarantor">
            </lightning-button>
            </template>
            <template if:true={guarRemoved}>
                <lightning-button class="slds-m-top_small"
                type="submit"
                onclick={confirmDeselect}
                label="Confirm Deselecting This Guarantor">
            </lightning-button>
            </template>
        </lightning-record-edit-form>
        <template if:false={creatingGuar}>
            <template if:true={noGuarSelected}>
                <lightning-button class="slds-m-top_small"
                    type="create"
                    onclick={handleCreate}
                    label="Create New Guarantor">
                </lightning-button>
            </template>
        </template>
        <template if:true={firstPass}>
            <lightning-button class="slds-m-top_small"
                type="edit"
                onclick={editExisting}
                label="Edit This Guarantor">
        </lightning-button>              
        </template>
    </div>
    <template if:true={createNewGuar}>
        <p>Create a new Guarantor</p>
        <lightning-record-edit-form
            onsubmit={handleInserted}
            object-api-name="HealthCloudGA__EhrRelatedPerson__c">
            <div class="slds-box">
                <lightning-input-field field-name="HealthCloudGA__NameFull__c" required="true">
                </lightning-input-field>
                <lightning-input-field field-name="Guarantor_Type__c" required="true">
                </lightning-input-field>
                <lightning-input-field field-name="Guarantor_Phone__c" required="true">
                </lightning-input-field>
                <lightning-input-field field-name="HealthCloudGA__Address1Line1__c" required="true">
                </lightning-input-field>
                <lightning-input-field field-name="HealthCloudGA__Address1Line2__c">
                </lightning-input-field>
                <lightning-input-field field-name="HealthCloudGA__Address1City__c" required="true">
                </lightning-input-field>
                <lightning-input-field field-name="HealthCloudGA__Address1State__c" required="true">
                </lightning-input-field>
                <lightning-input-field field-name="HealthCloudGA__Address1Country__c" required="true">
                </lightning-input-field>
                <lightning-output-field field-name="HealthCloudGA__Account__c" value={recordId} name="AssociatedAccount">
                </lightning-output-field>
                <lightning-output-field field-name="HealthCloudGA__Patient__c" value={recordId} name="AssociatedPatient">
                </lightning-output-field>
                <lightning-output-field field-name="Id">
                </lightning-output-field>
            </div>
            <lightning-button class="slds-m-top_small"
                type="submit"
                label="Create This Record">
            </lightning-button>
        </lightning-record-edit-form>
        <template if:true={creatingGuar}>
            <lightning-button class="slds-m-top_small"
                type="edit"
                onclick={handleRedo}
                label="Search Again">
            </lightning-button>
        </template>
    </template>
    <template if:true={guarSelected}>
        <template if:false={noGuarSelected}>
            <template if:false={updateGuar}>
            <lightning-record-edit-form
                record-id={guarantorId}
                object-api-name="HealthCloudGA__EhrRelatedPerson__c">
                <div class="slds-box">
                    <lightning-output-field field-name="HealthCloudGA__NameFull__c">
                    </lightning-output-field>
                    <lightning-output-field field-name="Guarantor_Type__c">
                    </lightning-output-field>
                    <lightning-output-field field-name="Guarantor_Phone__c">
                    </lightning-output-field>
                    <lightning-output-field field-name="HealthCloudGA__Address1Line1__c">
                    </lightning-output-field>
                    <lightning-output-field field-name="HealthCloudGA__Address1Line2__c">
                    </lightning-output-field>
                    <lightning-output-field field-name="HealthCloudGA__Address1City__c">
                    </lightning-output-field>
                    <lightning-output-field field-name="HealthCloudGA__Address1State__c">
                    </lightning-output-field>
                    <lightning-output-field field-name="HealthCloudGA__Address1Country__c">
                    </lightning-output-field>
                    <lightning-output-field field-name="HealthCloudGA__Account__c" value={recordId} name="AssociatedAccount">
                    </lightning-output-field>
                    <lightning-output-field field-name="HealthCloudGA__Patient__c" value={recordId} name="AssociatedPatient">
                    </lightning-output-field>
                    <lightning-output-field field-name="Id">
                    </lightning-output-field>
                </div>
            </lightning-record-edit-form>
            <lightning-button class="slds-m-top_small"
                onclick={updateRecord}
                label="Edit Record">
            </lightning-button>
            </template>
        </template>
        <template if:true={updateGuar}>
            <lightning-record-edit-form
                record-id={guarantorId}
                onsubmit={handleSelect}
                object-api-name="HealthCloudGA__EhrRelatedPerson__c">
                <div class="slds-box">
                    <lightning-input-field field-name="HealthCloudGA__NameFull__c" required="true">
                    </lightning-input-field>
                    <lightning-input-field field-name="Guarantor_Type__c" required="true">
                    </lightning-input-field>
                    <lightning-input-field field-name="Guarantor_Phone__c" required="true">
                    </lightning-input-field>
                    <lightning-input-field field-name="HealthCloudGA__Address1Line1__c" required="true">
                    </lightning-input-field>
                    <lightning-input-field field-name="HealthCloudGA__Address1Line2__c">
                    </lightning-input-field>
                    <lightning-input-field field-name="HealthCloudGA__Address1City__c" required="true">
                    </lightning-input-field>
                    <lightning-input-field field-name="HealthCloudGA__Address1State__c" required="true">
                    </lightning-input-field>
                    <lightning-input-field field-name="HealthCloudGA__Address1Country__c" required="true">
                    </lightning-input-field>
                    <lightning-output-field field-name="HealthCloudGA__Account__c" value={recordId} name="AssociatedAccount">
                    </lightning-output-field>
                    <lightning-output-field field-name="HealthCloudGA__Patient__c" value={recordId} name="AssociatedPatient">
                    </lightning-output-field>
                    <lightning-output-field field-name="Id">
                    </lightning-output-field>
                </div>
                <lightning-button class="slds-m-top_small"
                    type="submit"
                    onsuccess={doneUpdating}
                    label="Update">
                </lightning-button>    
            </lightning-record-edit-form>
        </template>
    </template>
    </lightning-card>
</template>